%%%%===========================================================================
%%%%  ullthesis2010.cls
%%%%
%%%%  This is a modification of the ullmathesis.cls file according to the 
%%%%  University of Louisiana at Lafayette Guidelines for the Preparation of 
%%%%  Theses and Dissertations (revised August 2009).
%%%%  2/26/2010  Julie Roy
%%%%  (Some modifications were also made by Zach Denton in November 2009.)
%%%%===========================================================================
%%%
%%%===========================================================================
%%% CLASSIFICATION: LaTeX class file
%%%       FILENAME: ullmathesis.cls
%%%        VERSION: 2.0a
%%%        AUTHORS: Hongtao Yang, Julio Cesar Carrillo-Escobar
%%%           DATE:  March 10, 2007
%%%      COPYRIGHT: No copyright. But a thanks to the authors is welcome.
%%%
%%%       ABSTRACT: This class file is a modified version of report.cls
%%%                 according to the requirement of thesis format of
%%%                 the UNIVERSITY OF LOUISIANA AT LAFAYETTE
%%%===========================================================================
%%
%% This is file `report.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% classes.dtx  (with options: `report')
%%
%% This is a generated file.
%%
%% Copyright 1993 1994 1995 1996 1997 1998 1999 2000 2001
%% The LaTeX3 Project and any individual authors listed elsewhere
%% in this file.
%%
%% This file was generated from file(s) of the LaTeX base system.
%% --------------------------------------------------------------
%%
%% It may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version 1.2
%% of this license or (at your option) any later version.
%% The latest version of this license is in
%%    http://www.latex-project.org/lppl.txt
%% and version 1.2 or later is part of all distributions of LaTeX
%% version 1999/12/01 or later.
%%
%% This file may only be distributed together with a copy of the LaTeX
%% base system. You may however distribute the LaTeX base system without
%% such generated files.
%%
%% The list of all files belonging to the LaTeX base distribution is
%% given in the file `manifest.txt'. See also `legal.txt' for additional
%% information.
%%
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{ullthesis2010}
							[2006/02/24 v1.0e
Standard LaTeX document class]
\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagetrue
\newif\if@openright
\if@compatibility\else
\DeclareOption{a4paper}
	 {\setlength\paperheight {297mm}%
		\setlength\paperwidth  {210mm}}
\DeclareOption{a5paper}
	 {\setlength\paperheight {210mm}%
		\setlength\paperwidth  {148mm}}
\DeclareOption{b5paper}
	 {\setlength\paperheight {250mm}%
		\setlength\paperwidth  {176mm}}
\DeclareOption{letterpaper}
	 {\setlength\paperheight {11in}%
		\setlength\paperwidth  {8.5in}}
\DeclareOption{legalpaper}
	 {\setlength\paperheight {14in}%
		\setlength\paperwidth  {8.5in}}
\DeclareOption{executivepaper}
	 {\setlength\paperheight {10.5in}%
		\setlength\paperwidth  {7.25in}}
\DeclareOption{landscape}
	 {\setlength\@tempdima   {\paperheight}%
		\setlength\paperheight {\paperwidth}% ????
		\setlength\paperwidth  {\@tempdima}}
\fi
\if@compatibility
	\renewcommand\@ptsize{0}
\else
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\fi
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\DeclareOption{12pt}{\renewcommand\@ptsize{2}}
\if@compatibility\else
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\fi
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\if@compatibility\else
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi
\DeclareOption{titlepage}{\@titlepagetrue}
\if@compatibility\else
\DeclareOption{notitlepage}{\@titlepagefalse}
\fi
\if@compatibility
\else
\DeclareOption{openright}{\@openrighttrue}
\DeclareOption{openany}{\@openrightfalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
	\AtEndOfPackage{%
	 \renewcommand\@openbib@code{%
			\advance\leftmargin\bibindent
			\itemindent -\bibindent
			\listparindent \itemindent
			\parsep \z@
			}%
	 \renewcommand\newblock{\par}}%
}
\ExecuteOptions{letterpaper,10pt,oneside,onecolumn,final,openany}
\ProcessOptions
\input{size1\@ptsize.clo}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}
\if@twoside
	\def\ps@headings{%
			\let\@oddfoot\@empty\let\@evenfoot\@empty
			\def\@evenhead{\thepage\hfil\slshape\leftmark}%
			\def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
			\let\@mkboth\markboth
		\def\chaptermark##1{%
			\markboth {\MakeUppercase{%
				\ifnum \c@secnumdepth >\m@ne
						\@chapapp\ \thechapter. \ %
				\fi
				##1}}{}}%
		\def\sectionmark##1{%
			\markright {\MakeUppercase{%
				\ifnum \c@secnumdepth >\z@
					\thesection. \ %
				\fi
				##1}}}}
\else
	\def\ps@headings{%
		\let\@oddfoot\@empty
		\def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
		\let\@mkboth\markboth
		\def\chaptermark##1{%
			\markright {\MakeUppercase{%
				\ifnum \c@secnumdepth >\m@ne
						\@chapapp\ \thechapter. \ %
				\fi
				##1}}}}
\fi
\def\ps@myheadings{%
		\let\@oddfoot\@empty\let\@evenfoot\@empty
		\def\@evenhead{\thepage\hfil\slshape\leftmark}%
		\def\@oddhead{{\slshape\rightmark}\hfil\thepage}%
		\let\@mkboth\@gobbletwo
		\let\chaptermark\@gobble
		\let\sectionmark\@gobble
		}
	\if@titlepage
	\newcommand\maketitle{\begin{titlepage}%
	\let\footnotesize\small
	\let\footnoterule\relax
	\let \footnote \thanks
	\null\vfil
	\vskip 60\p@
	\begin{center}%
		{\LARGE \@title \par}%
		\vskip 3em%
		{\large
		 \lineskip .75em%
			\begin{tabular}[t]{c}%
				\@author
			\end{tabular}\par}%
			\vskip 1.5em%
		{\large \@date \par}%       % Set date in \large size.
	\end{center}\par
	\@thanks
	\vfil\null
	\end{titlepage}%
	\setcounter{footnote}{0}%
	\global\let\thanks\relax
	\global\let\maketitle\relax
	\global\let\@thanks\@empty
	\global\let\@author\@empty
	\global\let\@date\@empty
	\global\let\@title\@empty
	\global\let\title\relax
	\global\let\author\relax
	\global\let\date\relax
	\global\let\and\relax
}
\else
\newcommand\maketitle{\par
	\begingroup
		\renewcommand\thefootnote{\@fnsymbol\c@footnote}%
		\def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
		\long\def\@makefntext##1{\parindent 1em\noindent
						\hb@xt@1.8em{%
								\hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
		\if@twocolumn
			\ifnum \col@number=\@ne
				\@maketitle
			\else
				\twocolumn[\@maketitle]%
			\fi
		\else
			\newpage
			\global\@topnum\z@   % Prevents figures from going at top of page.
			\@maketitle
		\fi
		\thispagestyle{plain}\@thanks
	\endgroup
	\setcounter{footnote}{0}%
	\global\let\thanks\relax
	\global\let\maketitle\relax
	\global\let\@maketitle\relax
	\global\let\@thanks\@empty
	\global\let\@author\@empty
	\global\let\@date\@empty
	\global\let\@title\@empty
	\global\let\title\relax
	\global\let\author\relax
	\global\let\date\relax
	\global\let\and\relax
}
\def\@maketitle{%
	\newpage
	\null
	\vskip 2em%
	\begin{center}%
	\let \footnote \thanks
		{\LARGE \@title \par}%
		\vskip 1.5em%
		{\large
			\lineskip .5em%
			\begin{tabular}[t]{c}%
				\@author
			\end{tabular}\par}%
		\vskip 1em%
		{\large \@date}%
	\end{center}%
	\par
	\vskip 1.5em}
\fi
\newcommand*\chaptermark[1]{}
\setcounter{secnumdepth}{2}
\newcounter {part}
\newcounter {chapter}
\newcounter {section}[chapter]
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand \thepart {\@Roman\c@part}
\renewcommand \thechapter {\@arabic\c@chapter}
\renewcommand \thesection {\thechapter.\@arabic\c@section}
\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection .\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}
\newcommand\@chapapp{\chaptername}
\newcommand\part{%
	\if@openright
		\cleardoublepage
	\else
		\clearpage
	\fi
	\thispagestyle{plain}%
	\if@twocolumn
		\onecolumn
		\@tempswatrue
	\else
		\@tempswafalse
	\fi
	\null\vfil
	\secdef\@part\@spart}

\def\@part[#1]#2{%
		\ifnum \c@secnumdepth >-2\relax
			\refstepcounter{part}%
			\addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
		\else
			\addcontentsline{toc}{part}{#1}%
		\fi
		\markboth{}{}%
		{\centering
		 \interlinepenalty \@M
		 \normalfont
		 \ifnum \c@secnumdepth >-2\relax
			 \huge\bfseries \partname\nobreakspace\thepart
			 \par
			 \vskip 20\p@
		 \fi
		 \Huge \bfseries #2\par}%
		\@endpart}
\def\@spart#1{%
		{\centering
		 \interlinepenalty \@M
		 \normalfont
		 \Huge \bfseries #1\par}%
		\@endpart}
\def\@endpart{\vfil\newpage
							\if@twoside
							 \if@openright
								\null
								\thispagestyle{empty}%
								\newpage
							 \fi
							\fi
							\if@tempswa
								\twocolumn
							\fi}
\newcommand\chapter{\if@openright\cleardoublepage\else\clearpage\fi
										\thispagestyle{plain}%
										\global\@topnum\z@
										\@afterindentfalse
										\secdef\@chapter\@schapter}
\def\@chapter[#1]#2{\ifnum \c@secnumdepth >\m@ne
												 \refstepcounter{chapter}%
												 \typeout{\@chapapp\space\thechapter.}%
												 \addcontentsline{toc}{chapter}%
																	 {\protect\numberline{\thechapter}#1}%
										\else
											\addcontentsline{toc}{chapter}{#1}%
										\fi
										\chaptermark{#1}%
										\addtocontents{lof}{\protect\addvspace{10\p@}}%
										\addtocontents{lot}{\protect\addvspace{10\p@}}%
										\if@twocolumn
											\@topnewpage[\@makechapterhead{#2}]%
										\else
											\@makechapterhead{#2}%
											\@afterheading
										\fi}
\def\@makechapterhead#1{%
	\vspace*{50\p@}%
	{\parindent \z@ \raggedright \normalfont
		\ifnum \c@secnumdepth >\m@ne
				\huge\bfseries \@chapapp\space \thechapter
				\par\nobreak
				\vskip 20\p@
		\fi
		\interlinepenalty\@M
		\Huge \bfseries #1\par\nobreak
		\vskip 40\p@
	}}
\def\@schapter#1{\if@twocolumn
									 \@topnewpage[\@makeschapterhead{#1}]%
								 \else
									 \@makeschapterhead{#1}%
									 \@afterheading
								 \fi}
\def\@makeschapterhead#1{%
	\vspace*{50\p@}%
	{\parindent \z@ \raggedright
		\normalfont
		\interlinepenalty\@M
		\Huge \bfseries  #1\par\nobreak
		\vskip 40\p@
	}}
\newcommand\section{\@startsection {section}{1}{\z@}%
                                                                     {-3.5ex \@plus -1ex \@minus -.2ex}%
                                                                     {2.3ex \@plus.2ex}%
                                                       {\normalfont\large\bfseries}} % Large=>large
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
																		 {-3.25ex\@plus -1ex \@minus -.2ex}%
																		 {1.5ex \@plus .2ex}%
																		 {\normalfont\normalsize\itshape}}%bfseries}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
																		 {-3.25ex\@plus -1ex \@minus -.2ex}%
																		 {1.5ex \@plus .2ex}%
																		 {\normalfont\normalsize\itshape}}
\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
																		{3.25ex \@plus1ex \@minus.2ex}%
																		{-1em}%
																		{\normalfont\normalsize\itshape}}
\newcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
																			 {3.25ex \@plus1ex \@minus .2ex}%
																			 {-1em}%
																			{\normalfont\normalsize\itshape}}
\if@twocolumn
	\setlength\leftmargini  {2em}
\else
	\setlength\leftmargini  {2.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
	\setlength\leftmarginv  {.5em}
	\setlength\leftmarginvi {.5em}
\else
	\setlength\leftmarginv  {1em}
	\setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}
\newenvironment{description}
							 {\list{}{\labelwidth\z@ \itemindent-\leftmargin
												\let\makelabel\descriptionlabel}}
							 {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
																\normalfont\bfseries #1}
\if@titlepage
	\newenvironment{abstract}{%
			\titlepage
			\null\vfil
			\@beginparpenalty\@lowpenalty
			\begin{center}%
				\bfseries \abstractname
				\@endparpenalty\@M
			\end{center}}%
		 {\par\vfil\null\endtitlepage}
\else
	\newenvironment{abstract}{%
			\if@twocolumn
				\section*{\abstractname}%
			\else
				\small
				\begin{center}%
					{\bfseries \abstractname\vspace{-.5em}\vspace{\z@}}%
				\end{center}%
				\quotation
			\fi}
			{\if@twocolumn\else\endquotation\fi}
\fi
\newenvironment{verse}
							 {\let\\\@centercr
								\list{}{\itemsep      \z@
												\itemindent   -1.5em%
												\listparindent\itemindent
												\rightmargin  \leftmargin
												\advance\leftmargin 1.5em}%
								\item\relax}
							 {\endlist}
\newenvironment{quotation}
							 {\list{}{\listparindent 1.5em%
												\itemindent    \listparindent
												\rightmargin   \leftmargin
												\parsep        \z@ \@plus\p@}%
								\item\relax}
							 {\endlist}
\newenvironment{quote}
							 {\list{}{\rightmargin\leftmargin}%
								\item\relax}
							 {\endlist}
\if@compatibility
\newenvironment{titlepage}
		{%
			\if@twocolumn
				\@restonecoltrue\onecolumn
			\else
				\@restonecolfalse\newpage
			\fi
			\thispagestyle{empty}%
			\setcounter{page}\z@
		}%
		{\if@restonecol\twocolumn \else \newpage \fi
		}
\else
\newenvironment{titlepage}
		{%
			\if@twocolumn
				\@restonecoltrue\onecolumn
			\else
				\@restonecolfalse\newpage
			\fi
			\thispagestyle{empty}%
			\setcounter{page}\@ne
		}%
		{\if@restonecol\twocolumn \else \newpage \fi
		 \if@twoside\else
				\setcounter{page}\@ne
		 \fi
		}
\fi
\newcommand\appendix{\par
	\setcounter{chapter}{0}%
	\setcounter{section}{0}%
	\gdef\@chapapp{\appendixname}%
	\gdef\thechapter{\@Alph\c@chapter}}

\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\@addtoreset {equation}{chapter}
\renewcommand\theequation
	{\ifnum \c@chapter>\z@ \thechapter.\fi \@arabic\c@equation}
\newcounter{figure}[chapter]
\renewcommand \thefigure
		 {\ifnum \c@chapter>\z@ \thechapter.\fi \@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename\nobreakspace\thefigure}
\newenvironment{figure}
							 {\@float{figure}}
							 {\end@float}
\newenvironment{figure*}
							 {\@dblfloat{figure}}
							 {\end@dblfloat}
\newcounter{table}[chapter]
\renewcommand \thetable
		 {\ifnum \c@chapter>\z@ \thechapter.\fi \@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename\nobreakspace\thetable}
\newenvironment{table}
							 {\@float{table}}
							 {\end@float}
\newenvironment{table*}
							 {\@dblfloat{table}}
							 {\end@dblfloat}
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\long\def\@makecaption#1#2{%
	\vskip\abovecaptionskip
	\sbox\@tempboxa{#1: #2}%
	\ifdim \wd\@tempboxa >\hsize
		#1: #2\par
	\else
		\global \@minipagefalse
		\hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
	\fi
	\vskip\belowcaptionskip}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{2}
\newcommand\tableofcontents{%
		\if@twocolumn
			\@restonecoltrue\onecolumn
		\else
			\@restonecolfalse
		\fi
	 % \chapter*{\contentsname
		\chapter*{\centering{\contentsname}
				\vspace*{-40\p@}
				\@mkboth{%
					 \MakeUppercase\contentsname}{\MakeUppercase\contentsname}}%
s		\@starttoc{toc}%
		\if@restonecol\twocolumn\fi
		}
\newcommand*\l@part[2]{%
	\ifnum \c@tocdepth >-2\relax
		\addpenalty{-\@highpenalty}%
		\addvspace{2.25em \@plus\p@}%
		\setlength\@tempdima{3em}%
		\begingroup
			\parindent \z@ \rightskip \@pnumwidth
			\parfillskip -\@pnumwidth
			{\leavevmode
			 \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
			 \nobreak
				 \global\@nobreaktrue
				 \everypar{\global\@nobreakfalse\everypar{}}%
		\endgroup
	\fi}
\newcommand*\l@chapter[2]{%
	\ifnum \c@tocdepth >\m@ne
		\addpenalty{-\@highpenalty}%
		\vskip 1.0em \@plus\p@
		\setlength\@tempdima{1.5em}%
		\begingroup
			\parindent \z@ \rightskip \@pnumwidth
			\parfillskip -\@pnumwidth
			\leavevmode \bfseries
			\advance\leftskip\@tempdima
			\hskip -\leftskip
			#1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
			\penalty\@highpenalty
		\endgroup
	\fi}
\newcommand*\l@section{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand*\l@subsection{\@dottedtocline{2}{3.8em}{3.2em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{7.0em}{4.1em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{10em}{5em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{12em}{6em}}
\newcommand\listoffigures{%
		\if@twocolumn
			\@restonecoltrue\onecolumn
		\else
			\@restonecolfalse
		\fi
		%\chapter*{\listfigurename}%
	\chapter*{LIST OF FIGURES}
	\vskip -40\p@
	\addcontentsline{toc}{chapter}{LIST OF FIGURES}
			\@mkboth{\MakeUppercase\listfigurename}%
							{\MakeUppercase\listfigurename}%
		\@starttoc{lof}%
		\if@restonecol\twocolumn\fi
		}
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
		\if@twocolumn
			\@restonecoltrue\onecolumn
		\else
			\@restonecolfalse
		\fi
		%\chapter*{\listtablename}%
	\chapter*{\centering{LIST OF TABLES}}%
	\vskip -80\p@
	\addcontentsline{toc}{chapter}{LIST OF TABLES}

			\@mkboth{%
					\MakeUppercase\listtablename}%
				 {\MakeUppercase\listtablename}%
		\@starttoc{lot}%
		\if@restonecol\twocolumn\fi
		}
\let\l@table\l@figure
\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]
		 {\chapter*{\bibname}%
			\@mkboth{\MakeUppercase\bibname}{\MakeUppercase\bibname}
			\list{\@biblabel{\@arabic\c@enumiv}}%
					 {\settowidth\labelwidth{\@biblabel{#1}}%
						\leftmargin\labelwidth
						\advance\leftmargin\labelsep
						\@openbib@code
						\usecounter{enumiv}%
						\let\p@enumiv\@empty
						\renewcommand\theenumiv{\@arabic\c@enumiv}}%
			\sloppy
			\clubpenalty4000
			\@clubpenalty \clubpenalty
			\widowpenalty4000%
			\sfcode`\.\@m}
	 {\def\@noitemerr
		 {\@latex@warning{Empty `thebibliography' environment}}%
			\endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty
\newenvironment{theindex}
							 {\if@twocolumn
									\@restonecolfalse
								\else
									\@restonecoltrue
								\fi
								\columnseprule \z@
								\columnsep 35\p@
								\twocolumn[\@makeschapterhead{\indexname}]%
								\@mkboth{\MakeUppercase\indexname}%
												{\MakeUppercase\indexname}%
								\thispagestyle{plain}\parindent\z@
								\parskip\z@ \@plus .3\p@\relax
								\let\item\@idxitem}
							 {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand\footnoterule{%
	\kern-3\p@
	\hrule\@width.4\columnwidth
	\kern2.6\p@}
\@addtoreset{footnote}{chapter}
\newcommand\@makefntext[1]{%
		\parindent 1em%
		\noindent
		\hb@xt@1.8em{\hss\@makefnmark}#1}
\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
\newcommand\bibname{Bibliography}
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\chaptername{Chapter}
\newcommand\appendixname{Appendix}
\newcommand\abstractname{Abstract}
\def\today{\ifcase\month\or
	January\or February\or March\or April\or May\or June\or
	July\or August\or September\or October\or November\or December\fi
	\space\number\day, \number\year}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\pagestyle{plain}
\pagenumbering{arabic}
\if@twoside
\else
	\raggedbottom
\fi
\if@twocolumn
	\twocolumn
	\sloppy
	\flushbottom
\else
	\onecolumn
\fi
%\endinput

%%%%%%%%%%%%%%%%%%%%%% UL LAFAYETTE THESIS FORMAT %%%%%%%%%%%%%%%%%%%%%%%%
 \everymath{\displaystyle}
% LINE SPACING -----------------------------------------------------------
 \newlength{\defbaselineskip}
 \setlength{\defbaselineskip}{\baselineskip}
 \newcommand{\setlinespacing}[1]%
            {\setlength{\baselineskip}{#1 \defbaselineskip}}
 \newcommand{\doublespacing}{\setlength{\baselineskip}%
                            {2.0\defbaselineskip}}
 \newcommand{\singlespacing}{\setlength{\baselineskip}{\defbaselineskip}}
% ----------------------------------------------------------------
 \RequirePackage{amsmath, amsthm2, amsfonts, amssymb, graphicx}    
 %  amsthm changed to amsthm2 for double spacing in definitions, theorems, etc. 9/20/2009
 \RequirePackage{float}
 \RequirePackage{caption}
 \captionsetup[table]{labelsep=period,labelfont=bf}
 \captionsetup[figure]{labelsep=period,labelfont=bf}
% ----------------------------------------------------------------
 \setlength{\textheight}{8.5in}
 \setlength{\textwidth}{6.5in}
 \setlength{\topmargin}{-0.2in}
 \setlength{\oddsidemargin}{0in}
 \setlength{\evensidemargin}{0in}
% ----------------------------------------------------------------
 \hfuzz2pt % Don't bother to report over-full boxes if over-edge is < 2pt
 \vfuzz2pt % Don't report over-full v-boxes if over-edge is small
 \hfuzz2pt % Don't report over-full h-boxes if over-edge is small
% ----------------------------------------------------------------
% Define environments of theorem, proposition,...
 \newtheorem{theorem}{Theorem}[chapter]
 \newtheorem{proposition}{Proposition}[chapter]
 \newtheorem{lemma}{Lemma}[chapter]
 \newtheorem{corollary}{Corollary}[chapter]
 \theoremstyle{remark}
 \newtheorem{remark}{Remark}[chapter]
 \theoremstyle{definition}
 \newtheorem{definition}{Definition}[chapter]
 \newtheorem{example}{Example}[chapter]
 \newtheorem{algorithm}{Algorithm}[chapter]
% ----------------------------------------------------------------
\def\@makechapterhead#1{%
 \linespread{1.2}
	\begin{center}
	 {\parindent \z@ \raggedright \normalfont
		 \ifnum
			 \c@secnumdepth >\m@ne
			 \centering\MakeUppercase{\@chapapp}\space
			 \thechapter
			 \par\nobreak
			 \vskip 20\p@
		 \fi
   \MakeUppercase{#1}
		 \par\nobreak
		 \vskip 33.5\p@
   \thispagestyle{empty}
	 }
	\end{center}
 \setlinespacing{2.0}
 }
\def\@makeschapterhead#1{%
	\setlinespacing{1.2}
	\begin{center}
	 {\parindent \z@ \raggedright
   {#1}
		 \par\nobreak
		 \vskip 45.8\p@
   \thispagestyle{empty}
	 }
	\end{center}
    \setlinespacing{2.0}
 }

\renewcommand\section{\@startsection {section}{1}{\z@}%
				 { -3.5ex \@plus -1ex \@minus -.2ex}%
				 {2.3ex \@plus.2ex}%
		{\normalfont\itshape}}%
	\renewcommand{\thesection}
    {\arabic{chapter}.\arabic{section}.\hspace{-4pt}}
% ----------------------------------------------------------------
\renewcommand\appendix{\par
 	\setcounter{chapter}{0}%
 	\setcounter{section}{0}%
 	\gdef\@chapapp{\appendixname}%
 	\gdef\thechapter{\@Alph\c@chapter}
 	\renewcommand{\theequation}{\Alph{chapter}.\arabic{section}.\arabic{equation}
 	\renewcommand\chaptername\appendixname}
 % set equation counter to be 0 at the beginning of each section by
  \renewcommand{\thesection}
 	{\Alph{chapter}.\arabic{section}.\hspace{-11pt}\setcounter{equation}{0}}
  \renewcommand{\thesubsection}
 	{\Alph{chapter}.\arabic{section}.\arabic{subsection}.\hspace{-10pt}}
  \updatechaptername
}

\newcommand*\updatechaptername{%
     \addtocontents{toc}{\protect\renewcommand*\protect\cftchappresnum{APPENDIX }
          \protect\renewcommand*\protect\cftchapaftersnum{:}
          \protect\renewcommand*\protect\cftchapaftersnumb{\protect\phantom{APPENDIX }\protect\rm}}}
%  added 11/7/2009 to title an appendix APPENDIX instead of CHAPTER in the table of contents  

\renewenvironment{thebibliography}[1]
		 {\chapter*{\centering%\myLarge
       \MakeUppercase\bibname
							 \vskip -8\p@}%
			\@mkboth{\MakeUppercase\bibname}{\MakeUppercase\bibname}%
			\list{\@biblabel{\@arabic\c@enumiv}}%
					 {\settowidth\labelwidth{\@biblabel{#1}}%
						\leftmargin\labelwidth
						\advance\leftmargin\labelsep
						\@openbib@code
						\usecounter{enumiv}%
						\let\p@enumiv\@empty
						\renewcommand\theenumiv{\@arabic\c@enumiv}}%
			\sloppy
			\clubpenalty4000
			\@clubpenalty \clubpenalty
			\widowpenalty4000%
			\sfcode`\.\@m
}

% Closing page definitions ---------------------------------------
\def\major#1{\gdef\@major{#1}}
 \def\@major{}

\newenvironment{theabstract}[1]
		 {{
			 \begin{center}
    \vspace*{0.03in}% \ \\[0.03in]
    \MakeUppercase{Abstract}% \\[-008in]
				\addcontentsline{toc}{chapter}{ABSTRACT}
    \thispagestyle{empty}
			 \end{center}
			 \vspace*{-0.08in}
							 }%
			\@mkboth{\MakeUppercase\bibname}{\MakeUppercase\bibname}%
            \setlinespacing{2.0}
			\noindent{#1}}

\newenvironment{biosketch}[1]
		 {\chapter*{\centering%\myLarge
        \MakeUppercase{Biographical sketch}
							 \vskip 1.1\p@
        \vspace*{-0.33in}%58in}         %  changed 11/9/2009
			     \addcontentsline{toc}{chapter}{BIOGRAPHICAL SKETCH}
							 }%
			\@mkboth{\MakeUppercase\bibname}{\MakeUppercase\bibname}%
            \setlinespacing{2.0}
			{\noindent#1}}

\def\Author{\@author}
\def\Supervisor{\@supervisor}
\def\Title{\@title}
\def\Major{\@major}
\def\closingpages{\openup=-8pt}

\RequirePackage{tocloft}
 \tocloftpagestyle{empty}
 \renewcommand{\cftparskip}{2pt}
 \renewcommand{\cftbeforetoctitleskip}{-0.18in}
 \renewcommand{\cftaftertoctitleskip}{0.37in}
 \renewcommand{\cfttoctitlefont}{\hfill}
 \renewcommand{\cftaftertoctitle}{\hfill}
 %%
 \renewcommand{\cftbeforeloftitleskip}{-0.43in}%-0.18in}    %  changed 11/10/2009
 \renewcommand{\cftafterloftitleskip}{0.325in}%0.525in}     %  changed 11/10/2009
 \renewcommand{\cftloftitlefont}{\hfill}
 \renewcommand{\cftafterloftitle}{\hfill}
 %%
 \renewcommand{\cftbeforelottitleskip}{-0.43in}%-0.18in}    %  changed 11/10/2009
 \renewcommand{\cftafterlottitleskip}{0.325in}%0.525in}     %  changed 11/10/2009
 \renewcommand{\cftlottitlefont}{\hfill}
 \renewcommand{\cftafterlottitle}{\hfill}
 %%
 \renewcommand{\@tocrmarg}{3em plus1fil}    %  added 2/23/2010
 \renewcommand{\@pnumwidth}{2em}            %  added 2/23/2010
    
 \renewcommand{\cftchapfont}{ }
 \renewcommand{\cftchapleader}{\makebox[0.175in][r]{ }\hspace{-0.175in}\cftdotfill{\cftchapdotsep}}   
 %  The above command was modified 2/24/2010 so that enough dots appear on a line
 %  in the table of contents before the page number.
 \renewcommand{\cftchapdotsep}{\cftdotsep}
 \renewcommand{\cftchappresnum}{CHAPTER }
 \renewcommand{\cftchapaftersnum}{:}
 \renewcommand{\cftchapaftersnumb}{\phantom{CHAPTER}\rm}
 %%
 \renewcommand{\cftsecleader}{\makebox[0.175in][r]{ }\hspace{-0.175in}\cftdotfill{\cftsecdotsep}}
 \renewcommand{\cftsubsecleader}{\makebox[0.175in][r]{ }\hspace{-0.175in}\cftdotfill{\cftsubsecdotsep}}
 %  The above commands were modified 2/24/2010 so that enough dots appear on a line
 %  in the table of contents before the page number.
 \renewcommand{\cftchappagefont}{ }
 %%
 \renewcommand{\cftfigleader}{\makebox[0.175in][r]{ }\hspace{-0.175in}\cftdotfill{\cftfigdotsep}}
 %  The above command was modified 2/24/2010 so that enough dots appear on a line
 %  in the table of contents before the page number.
 \renewcommand{\cftfigpresnum}{Figure }
 \renewcommand{\cftfigaftersnum}{.}
 \renewcommand{\cftfigaftersnumb}{\phantom{Figure }\ \rm}   
 %  The above command was modified 11/15/2009 to improve spacing for a large list of figures.
\let\l@figureOld \l@figure
\renewcommand{\l@figure}{\singlespacing\vspace{\baselineskip}\l@figureOld}      
%  The above commands were added 11/18/2009 to single space each figure entry.
 %%
 \renewcommand{\cfttableader}{\makebox[0.175in][r]{ }\hspace{-0.175in}\cftdotfill{\cfttabdotsep}}
 %  The above command was modified 2/24/2010 so that enough dots appear on a line
 %  in the table of contents before the page number.
 \renewcommand{\cfttabpresnum}{Table }
 \renewcommand{\cfttabaftersnum}{.}
 \renewcommand{\cfttabaftersnumb}{\phantom{Table }\ \rm}    
 %  The above command was modified 11/15/2009 to make spacing consistent between the lists of tables and figures.
\let\l@tableOld \l@table
\renewcommand{\l@table}{\singlespacing\vspace{\baselineskip}\l@tableOld}
%  The above commands were added 11/18/2009 to single space each table entry.
%%

\renewcommand\tableofcontents{%
		\if@twocolumn
			\@restonecoltrue\onecolumn
		\else
			\@restonecolfalse
		\fi
		\chapter*{\centering{\contentsname}\
				\vskip -40\p@}
				\@mkboth{%
					 \MakeUppercase\contentsname}{\MakeUppercase\contentsname}%
		\@starttoc{toc}%
		\if@restonecol\twocolumn\fi
}

\renewcommand{\listfigurename}{LIST OF FIGURES}
\renewcommand\listoffigures{%
		\if@twocolumn
			\@restonecoltrue\onecolumn
		\else
			\@restonecolfalse
		\fi
		\chapter*{\centering{\listfigurename}
				\vskip -40\p@}%
			\@mkboth{\MakeUppercase\listfigurename}%
							{\MakeUppercase\listfigurename}%
		\@starttoc{lof}%
		\if@restonecol\twocolumn\fi
}

\renewcommand{\listtablename}{LIST OF TABLES}
\renewcommand\listoftables{%
		\if@twocolumn
			\@restonecoltrue\onecolumn
		\else
			\@restonecolfalse
		\fi
		\chapter*{\centering{\listtablename}
				\vskip -40\p@}%
			\@mkboth{%
					\MakeUppercase\listtablename}%
				 {\MakeUppercase\listtablename}%

    	\@starttoc{lot}%

		\if@restonecol\twocolumn\fi
}



\floatstyle{plaintop}
 \restylefloat{figure}
 \restylefloat{table}

 \renewcommand{\theequation}{\arabic{chapter}.\arabic{equation}}
 \renewcommand{\thesection}{\arabic{chapter}.\arabic{section}.\hspace{-10pt}}
% Number equations within chapter. If equations want to be numbered within
% section,then you should use:
%   \renewcommand{\theequation}{\thesection.\arabic{equation}}
% and should set equation counter to be 0 at the beginning of each section by
% \renewcommand{\thesection}
%              {\arabic{chapter}.\arabic{section}.\hspace{-14pt}\setcounter{equation}{0}}
 \renewcommand{\thesubsection}{\arabic{chapter}.\arabic{section}.\arabic{subsection}.\hspace{-10pt}}
%{\thesection\arabic{subsection}.}
 \renewcommand{\thesubsubsection}{\arabic{chapter}.\arabic{section}.\arabic{subsection}.\arabic{subsubsection}.\hspace{-4pt}}
%{\thesubsection\arabic{subsubsection}.}

%New if constructs:              Default conditions:
 \newif\iffigurespage            \figurespagetrue
 \newif\iftablespage             \tablespagetrue
 \newif\ifsymbolspage            \symbolspagetrue
 \newif\ifprefacepage            \prefacepagefalse
 \newif\ifdedicationpage         \dedicationpagefalse
 \newif\ifacknowledgementpage    \acknowledgementpagefalse
 \newif\iffieldofstudy           \fieldofstudyfalse
 \newif\iftwo@supervisors        \two@supervisorsfalse
 \newif\ifthird@committeemember  \third@committeememberfalse
 \newif\iffourth@committeemember \fourth@committeememberfalse
 \newif\iffifth@committeemember  \fifth@committeememberfalse
% \newif\ifdean@graduateschool    \dean@graduateschool
% ----------------------------------------------------------------
% Define \BeginTopMatter to number pages in \roman before Chapter 1 and
% \EndTopMatter to number pages in Arabic from Chapter 1
% ----------------------------------------------------------------

\def\beforebodyoftex{
		 \newpage
		 \renewcommand{\thepage}{\roman{page}}
		 \pagestyle{plain}
		 \thispagestyle{empty}
}

\def\beginbodyoftex{
		 \newpage
		 \setcounter{page}{1}
		 \renewcommand{\thepage}{\arabic{page}}
}
% ----------------------------------------------------------------
% Redefine \thebibliography to go to a new page and put an entry in the
% table of contents
\let\@ldthebibliography\thebibliography
\renewcommand{\thebibliography}[1]{%
		 \newpage
		 \addcontentsline{toc}{chapter}{BIBLIOGRAPHY}
		 \@ldthebibliography{#1}}

%\let\@ldbibliography\bibliography
%\renewcommand{\bibliography}[1]{\ifprint@bib\@ldbibliography{#1}\fi}
% ----------------------------------------------------------------
% Define \listfigures to list figures
 \newcommand\listfigures{\figurespagetrue}
% ----------------------------------------------------------------
% Define \listtables to list tables
 \newcommand\listtables{\tablespagetrue}
% ----------------------------------------------------------------
% Define \listsymbols to list symbols
 \newcommand\listsymbolname{List of Symbols}
 \newcommand\listsymbols{\symbolspagetrue}
% ----------------------------------------------------------------
% \author, \title are defined in report; here are the rest of the
% front matter defining macros
 \def\gradyear#1{\gdef\@gradyear{#1}}
 \def\fieldofstudy#1{\gdef\@fieldofstudy{#1}\fieldofstudytrue}
 \def\copyrightyear#1{\gdef\@copyrightyear{#1}} % \author, \title in report
 \def\degree#1{\gdef\@degree{#1}}
 \def\convocationdate#1{\gdef\@convocationdate{#1}}
 \def\fileforabstract#1{\gdef\@fileforabstract{#1}}
 \def\fileforacknowledgement#1{
		\gdef\@fileforacknowledgement{#1}
		\acknowledgementpagetrue}
 \def\fileforpreface#1{
		\gdef\@fileforpreface{#1}
		\prefacepagetrue}
 \def\filefordedication#1{
		\gdef\@filefordedication{#1}
		\dedicationpagetrue}
% ----------------------------------------------------------------
 \def\@title{}
 \def\@convocationdate{}
 \def\@author{}
 \def\@gradyear{}
 \def\@fieldofstudy{}
 \def\@fileforabstract{}
 \def\@fileforacknowledgement{}
 \def\@fileforpreface{}
 \def\@filefordedication{}
% ----------------------------------------------------------------
 \def\supervisor#1{\gdef\@supervisor{#1}}
 \def\ranksupervisor#1{\gdef\@ranksupervisor{#1}}
 %
 \def\cosupervisor#1{\gdef\@cosupervisor{#1}\two@supervisorstrue}
 \def\rankcosupervisor#1{\gdef\@rankcosupervisor{#1}}
 %
 \def\firstcommitteemember#1{\gdef\@firstcommitteemember{#1}}
 \def\rankfirstcommitteemember#1{\gdef\@rankfirstcommitteemember{#1}}
 %
 \def\secondcommitteemember#1{\gdef\@secondcommitteemember{#1}}
 \def\ranksecondcommitteemember#1{\gdef\@ranksecondcommitteemember{#1}}
 %
 \def\thirdcommitteemember#1{
		\gdef\@thirdcommitteemember{#1}
		\third@committeemembertrue}
 \def\rankthirdcommitteemember#1{\gdef\@rankthirdcommitteemember{#1}}
 %
 \def\fourthcommitteemember#1{
		\gdef\@fourthcommitteemember{#1}
		\fourth@committeemembertrue}
 \def\rankfourthcommitteemember#1{
		\gdef\@rankfourthcommitteemember{#1}}
 %
 \def\fifthcommitteemember#1{
		\gdef\@fifthcommitteemember{#1}
		\fifth@committeemembertrue}
 \def\rankfifthcommitteemember#1{
		\gdef\@rankfifthcommitteemember{#1}}
 %
% \def\supervisor#1{\gdef\@supervisor{#1}}
% \def\ranksupervisor#1{\gdef\@ranksupervisor{#1}}
 %
 \def\deanofgraduateschool#1{\gdef\@deanofgraduateschool{#1}}
% ----------------------------------------------------------------
 \def\@supervisor{}               \def\@ranksupervisor{}
 \def\@cosupervisor{}             \def\@rankcosupervisor{}
 \def\@firstcommitteemember{}     \def\@rankfirstcommitteemember{}
 \def\@secondcommitteemember{}    \def\@ranksecondcommitteemember{}
 \def\@thirdcommitteemember{}     \def\@rankthirdcommitteemember{}
 \def\@fourthcommitteemember{}    \def\@rankfourthcommitteemember{}
 \def\@fifthcommitteemember{}     \def\@rankfifthcommitteemember{}
 \def\@deanofgraduateschool{}     \def\@rankdeanofgraduateschool{}
% ----------------------------------------------------------------

%  library release form page
\def\libraryreleaseform{
		\newpage
		\thispagestyle{empty}
		\vskip2.5mm
		\noindent
		\begin{center}{\bf
   \bf University of Louisiana at Lafayette\\[3mm]
			\normalsize\bf Library Release Form}
		\end{center}
		\vskip1cm
		{\raggedright
				\noindent
				{\bf Name of Author:} \@author \newline
				\medskip
				\noindent
				{\bf Title of Thesis:} \@title \newline
				\medskip
				\noindent
				{\bf Degree:} \@degree \newline
				\medskip
				\noindent
				{\bf Year This Degree Granted:} \@gradyear \newline
		}
		\medskip

		\noindent
		Permission is hereby granted to the University of Louisiana at Lafayette Library
		to reproduce single copies of this thesis and to lend or sell such copies for private,
		scholarly, or scientific research purposes only.
		\medskip

		\noindent
		The author reserves all other publication and other rights in association with
		the copyright in the thesis, and except as herein before provided, neither the
		thesis nor any substantial portion thereof may be printed or otherwise reproduced
		in any material form whatever without the author's prior written permission.

		\vskip1cm
		\begin{flushright}
		\begin{tabular}{@{}l@{\qquad}p{3cm}}\cline{1-1}
%          \hrulefill\hskip1cm\             \\
					Department of Mathematics            & \\
					University of Louisiana at Lafayette & \\
					Lafayette, LA 70503                  & \\
					USA                                  &
		\end{tabular}
		\end{flushright}
		\vskip5mm

		\noindent
		Date:
}

% title page -----------------------------------------------------
\def\titlepage{
		\newpage\vspace*{0.25in}
  \begingroup
 		\thispagestyle{empty}
   \setlinespacing{1.2}
   \vglue 1.0in
 		\begin{center}
    \@title
 		\end{center}
   \vglue 1.18in
   \setlinespacing{2.0}
 		\centerline{A Dissertation}
 		\centerline{Presented to the}
 		\centerline{Graduate Faculty of the}
 		\centerline{University of Louisiana at Lafayette}
 		\centerline{In Partial Fulfillment of the}
 		\centerline{Requirements for the Degree}
 		\centerline{\@degree}
 		\vglue 3mm
 		\iffieldofstudy
 			\centerline{in}
 			\vglue 3mm
 			\centerline{\@fieldofstudy}
 		\fi
 		\vskip1.18in
 		\centerline{\@author}

 		\centerline{\@convocationdate\ \@gradyear}
  \endgroup
}
% copyright page  (added 2/4/2010) -------------------------------
\def\copyrightpage{
  \newpage\vspace*{0.25in}
  \begingroup
 	\thispagestyle{empty}
       \setlinespacing{2.0}
 		\centerline{ }
          \centerline{ } \centerline{ } \centerline{ } \centerline{ }
          \centerline{ } \centerline{ } \centerline{ } \centerline{ }
          \centerline{ } \centerline{ } \centerline{ } \centerline{ }
          \centerline{ } \centerline{ } \centerline{ } \centerline{ }
          \centerline{\textcopyright\ \@author}
          \centerline{\@gradyear}
          \centerline{All Rights Reserved}
  \endgroup
}
% ----------------------------------------------------------------
\def\Advisor{
\begin{minipage}[t]{2.85in}
 \vglue 0.83in
    \iffifth@committeemember
     \vglue -0.125in
   \fi
 \vrule width 2.85in height 0.4pt \\
 \@supervisor, Chair\\
 \@ranksupervisor
\end{minipage}
}
\def\Coadvisor{
 \begin{minipage}[t]{2.85in}
	\vglue 0.83in
   \iffifth@committeemember
     \vglue -0.125in
   \fi
	\vrule width 2.85in height 0.4pt \\
	 \@cosupervisor     \\
	 \@rankcosupervisor
 \end{minipage}
}
\def\First{
 \begin{minipage}[t]{2.85in}
	\vglue 0.83in
   \iffifth@committeemember
     \vglue -0.125in
   \fi
	\vrule width 2.85in height 0.4pt     \\
    \@firstcommitteemember \\
	\@rankfirstcommitteemember
 \end{minipage}
}
\def\Second{
 \begin{minipage}[t]{2.85in}
	\vglue 0.83in
   \iffifth@committeemember
     \vglue -0.125in
   \fi
	\vrule width 2.85in height 0.4pt      \\
	\@secondcommitteemember \\
	\@ranksecondcommitteemember
 \end{minipage}
}
\def\Third{
 \begin{minipage}[t]{2.85in}
	\vglue 0.83in
   \iffifth@committeemember
     \vglue -0.125in
   \fi
	\vrule width 2.85in height 0.4pt     \\
	\@thirdcommitteemember \\
	\@rankthirdcommitteemember
 \end{minipage}
}
\def\Fourth{
 \begin{minipage}[t]{2.85in}
	\vglue 0.83in
   \iffifth@committeemember
     \vglue -0.125in
   \fi
	\vrule width 2.85in height 0.4pt      \\
	\@fourthcommitteemember \\
	\@rankfourthcommitteemember
 \end{minipage}
}
\def\Fifth{
 \begin{minipage}[t]{2.85in}
	\vglue 0.83in
   \iffifth@committeemember
     \vglue -0.125in
   \fi
	\vrule width 2.85in height 0.4pt     \\
	\@fifthcommitteemember \\
	\@rankfifthcommitteemember
 \end{minipage}
}
\def\Dean{
 \begin{minipage}[t]{2.85in}
	\vglue 0.83in
   \iffifth@committeemember
     \vglue -0.125in
   \fi
	\vrule width 2.85in height 0.4pt     \\
	\@deanofgraduateschool \\
	Dean of the Graduate School
 \end{minipage}
}
% ----------------------------------------------------------------
% signature page
 \def\signaturepage{
	\newpage\vspace*{0.25in}
 \begingroup
  \setlinespacing{1.2}
 	\thispagestyle{empty}
  \vglue 1.0in
 	\begin{center}
   \@title
 	\end{center}
 	\linespread{2.0}

 	\centerline{\@author}
  \linespread{1.65}

  \vglue 2.0in
 	\noindent{}{APPROVED:}
  \vglue -0.2in

  \noindent
  \begin{minipage}[t]{6.0in}
 	\iftwo@supervisors
 		% two supervisors
 		\noindent\Advisor \hfill \Coadvisor
 		\noindent\First   \hfill \Second

 		\ifthird@committeemember
 			% 3rd CM
 			\iffourth@committeemember
 				% 4th CM
 				\iffifth@committeemember
 					% 5th CM
 					\noindent\Third \hfill \Fourth
 					\noindent\Fifth \hfill \Dean
 					%% Continue in case Two advisor and more than 6 CM
 				\else
 					% no 5th CM
 					\noindent\Third \hfill \Fourth
 					\noindent\Dean
 				\fi
 			\else
 				% no 4th CM
 				\Third \hfill \Dean
 			\fi
 		\else
 			% no 3rd CM
 			\noindent\Dean
 		\fi
 	\else
 		% One supervisor
 		\Advisor \hfill \First
 		\ifthird@committeemember
 			% 3rd CM
 			\iffourth@committeemember
 					% 4th CM
 					\iffifth@committeemember
 							% 5th CM
 							\Second \hfill \Third
 							\Fourth \hfill \Fifth
 							\Dean
 							%% Continue in case of One advisor and more than 6 CM
 						\else
 							% no 5th CM
 							\Second \hfill \Third
 							\Fourth \hfill \Dean
 						\fi
 				\else
 					% no 4th CM
 					\Second \hfill \Third
 					\Dean
 				\fi

 		\else
 			% no 3rd CM
 			\Second \hfill \Dean
 		\fi
 	\fi
  \end{minipage}
  \vfill
  \vfill
 \endgroup
}

% dedication page
 \def\dedicationpage{
		\ifdedicationpage
			\newpage
			\thispagestyle{empty}
			\input \@filefordedication.tex
		\fi
}

% acknowledgement page
 \def\acknowledgement{
		\ifacknowledgementpage
			\newpage
			\chapter*{\centerline{ACKNOWLEDGMENTS}
								\vskip -40\p@}
        \addcontentsline{toc}{chapter}{ACKNOWLEDGMENTS}
			\thispagestyle{empty}
    \setlinespacing{2.0}
			\input \@fileforacknowledgement.tex
		\fi
 }

% preface page
 \def\preface{
		\ifprefacepage
			\newpage
			\chapter*{\centerline{PREFACE}
								\vskip -40\p@}
			\addcontentsline{toc}{chapter}{PREFACE}
			\thispagestyle{empty}
			\input \@fileforpreface.tex
		\fi
 }

\def\mathstyle{
  \begingroup
    \setlinespacing{2.0}
  		\thispagestyle{empty}
  		\begin{minipage}[t]{6in}
   		 \noindent{\tt\large This dissertation was prepared by
   		 using the class file ullthesis.cls
   		 according to the Guidelines for Graduate Theses and
   		 Dissertations of the University of Louisiana at Lafayette.}
   		\end{minipage}
  		\vfill
  		\centerline{\huge MATH--U\hspace*{-1pt}\raisebox{-0.5ex}{L}\hspace*{-7pt}L\hspace*{-11pt}\LaTeX\ Class Thesis Style}%
  		\vskip30pt
        \centerline{\Large\bf Official Version}%
  		\vskip 20pt
  		\centerline{Hongtao Yang, Julio Carrillo-Escobar:  March 08--10, 2007 -- Beta version}
 		\vskip10pt
  		\centerline{Anthony Holmes -- R. Baker Kearfott:  May 4, 2007 -- preliminary version}
 		\vskip10pt
  		\centerline{R. Baker Kearfott: October 25, 2007 -- Official Version}
  \endgroup
		\newpage
}

% put all pages for prefatory together
 \def\prefatorypages{
		%\mathstyle
		%\libraryreleaseform
        \titlepage
        \copyrightpage
		\signaturepage
		\setcounter{page}{3}  %  this is the page number of the signature page
		\dedicationpage
    \ifacknowledgementpage
       \beforebodyoftex
       \setlinespacing{1}
       \acknowledgement
    \fi
		\beforebodyoftex
			 \setlinespacing{1}
    \renewcommand{\contentsname}{TABLE OF CONTENTS}
			 \tableofcontents
			 \newpage
    \iftablespage
		\beforebodyoftex
			 \setlinespacing{2}
				 \addcontentsline{toc}{chapter}{LIST OF TABLES}
            \listoftables
			 \fi
     \setlinespacing{2.0}
			 \iffigurespage
     \setlinespacing{2.0}
		\beforebodyoftex
			 \setlinespacing{2}
				 \renewcommand{\listfigurename}{LIST OF FIGURES}
				 \addcontentsline{toc}{chapter}{LIST OF FIGURES}
            \listoffigures
				 \newpage
			 \fi
			 \setlinespacing{2.0}

			 \preface

%  \ifsymbolspage
%    \listofsymbols
%    \addcontentsline{toc}{chapter}{LIST OF SYMBOLS}
%  \fi

		\beginbodyoftex
 }

% \def\listofsymbols{
%			\if@twocolumn
%				 \@restonecoltrue\onecolumn
%			\else
%				 \@restonecolfalse
%			\fi
%			\chapter*{\centering\MakeUppercase{\listsymbolname}
%				 \vskip -40\p@
%				 \@mkboth{\MakeUppercase\listsymbolname}
%							{\MakeUppercase\listsymbolnam}
%			}
%			\@starttoc{lof}
%			\if@restonecol\twocolumn\fi
% }

% for thebibilography: books or papers written by the same author(s)
 \def\sameauthor{\leavevmode\vrule height 2pt depth -1.6pt width 23pt}

 \def\nolistoffigures{\figurespagefalse}
 \def\nolistoftables{\tablespagefalse}
 \def\nolistofsymbols{\symbolspagefalse}

\endinput
%%
%% End of file `report.cls'.

